{
  "name": "material-editor",
  "private": true,
  "version": "1.0.13",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc -b && vite build",
    "preview": "vite preview",
    "prepublishOnly": "npm run build"
  },
  "files": [
    "dist",
    "public",
    "src",
    "index.html",
    "README.md"
  ],
  "module": "dist/material-editor.es.js",
  "main": "dist/material-editor.umd.js",
  "exports": {
    ".": {
      "import": "./dist/material-editor.es.js",
      "require": "./dist/material-editor.umd.cjs"
    },
    "./style.css": "./dist/material-editor.css",
    "./iife": "./dist/material-editor.iife.js"
  },
  "dependencies": {
    "@jscad/modeling": "^2.11.0",
    "csstype": "^3.1.3",
    "flatbush": "^3.3.0",
    "js-angusj-clipper": "^1.2.1",
    "pako": "^1.0.11",
    "pinia": "^3.0.2",
    "polylabel": "^1.1.0",
    "three": "npm:three-cf@^0.122.9",
    "vue": "^3.5.13",
    "webcad_ue4_api": "http://gitea.cf/cx/webcad-ue4-api/archive/3.26.0.tar.gz",
    "xaop": "^2.0.0"
  },
  "devDependencies": {
    "@types/node": "^22.14.1",
    "@types/pako": "1.0.3",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vue/tsconfig": "^0.7.0",
    "sass-embedded": "^1.87.0",
    "typescript": "~5.7.2",
    "vite": "^6.2.6",
    "vite-plugin-dts": "^4.5.3",
    "vue-tsc": "^2.2.4"
  },
  "packageManager": "pnpm@9.1.1+sha1.09ada6cd05003e0ced25fb716f9fda4063ec2e3b"
}